Package org.eclipse.birt.core.framework

# Interface IPlatformContext

All Known Implementing Classes:
  `PlatformFileContext`, `PlatformServletContext`

public interface IPlatformContext
Defines an interface to access OSGi framework. The OSGi framewok is a folder in the disk which has following strcutre: platform /configuration/config.ini /plugins/ plugins in the framework osgi.jar

## Method Summary

Modifier and Type
Method
Description
`String`
`getPlatform()`
return the folder of the platform.

## Method Details

### getPlatform

String getPlatform()
return the folder of the platform.

Returns:
  the folder represent the root of the platform.